Package org.freeplane.api

# Interface ConditionalStyleRO

All Known Subinterfaces:
  `ConditionalStyle`, `Proxy.ConditionalStyle`, `Proxy.ConditionalStyleRO`

public interface ConditionalStyleRO

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConditionClassSimpleName()`
  `String`
  `getScript()`
  `String`
  `getStyleName()`
  `boolean`
  `hasScriptCondition()`
  Returns true if `getConditionClassSimpleName()` equals "ScriptCondition" (aka Script Filter)
  `boolean`
  `isActive()`
  `boolean`
  `isAlways()`
  `boolean`
  `isLast()`
  In the Manage Conditional Styles dialog it's the Stop checkbox

- ## Method Details

  - ### isActive

    boolean isActive()
    Since:
      1.11.1

  - ### isAlways

    boolean isAlways()
    Since:
      1.11.1

  - ### hasScriptCondition

    boolean hasScriptCondition()
    Returns true if `getConditionClassSimpleName()` equals "ScriptCondition" (aka Script Filter)
    Since:
      1.11.1

  - ### getConditionClassSimpleName

    String getConditionClassSimpleName()
    Since:
      1.11.1

  - ### getScript

    String getScript()
    Since:
      1.11.1

  - ### getStyleName

    String getStyleName()
    Since:
      1.11.1

  - ### isLast

    boolean isLast()
    In the Manage Conditional Styles dialog it's the Stop checkbox
    Since:
      1.11.1